// lcd.h
// Header File for lcd.c
// Autor: Bertram Schall
// Date: 31.01.07
// Last Revision: 31.01.07

#ifndef __lcd__
#define __lcd__
/***************************************************/
/*   High Level Functions                          */
/***************************************************/
void print_str (unsigned char page, unsigned char column, char *s, unsigned char mod, unsigned char ebedd);
unsigned char print_char (unsigned char page, unsigned char column, char c, unsigned char mod, unsigned char embedd);
void lcd_invert (unsigned char line, unsigned char from, unsigned char to);
void lcd_drawwindow (unsigned char width);
void lcd_bmp(char* bmp);
void lcd_line (char x1, char y1, char x2, char y2);
void lcd_pixel (unsigned char x, unsigned char y);

/***************************************************/
/*   Low Level Functions                           */
/***************************************************/
void lcd_init(void);
void lcd_blank(void);
/***************************************************/
/*   Data Bus Functions                            */
/***************************************************/
void lcd_burst(void);
void lcd_selectside(unsigned int side);
void lcd_onoff(unsigned char status);
void lcd_startline(unsigned char line);
void lcd_setpage(unsigned char page);
void lcd_setcolumn(unsigned char column);
unsigned char lcd_status(void);
void lcd_writedata(unsigned char data);
unsigned char lcd_readdata(void);
void lcd_selectADC(unsigned char adc);
void lcd_static(unsigned char stat);
void lcd_duty (unsigned char duty);
void lcd_startrmw(void);
void lcd_endrmw(void);
void lcd_softres(void);
void lcd_bl(unsigned char bl);
/***************************************************/
/*   Controls                                      */
/***************************************************/
//Control Pin Levels
#define A0H (P5OUT |= 0x01)   //High
#define A0L (P5OUT &= ~0x01)  //Low
#define RWH (P5OUT |= 0x02)   //High -> Read
#define RWL (P5OUT &= ~0x02)  //Low -> Write
#define E1H (P5OUT |= 0x04)   //High
#define E1L (P5OUT &= ~0x04)  //Low
#define E2H (P5OUT |= 0x08)   //High
#define E2L (P5OUT &= ~0x08)  //Low
#define RESH (P5OUT |= 0x10)   //High
#define RESL (P5OUT &= ~0x10)  //Low
#define BLH (P5OUT |= 0x20)   //High
#define BLL (P5OUT &= ~0x20)  //Low
//Data Bus Directions
#define DSIN (P4DIR = 0x00)  //As Input
#define DSOUT (P4DIR = 0xFF)  //As Output

#endif

